Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action.tree
Class TreeAction

    java.lang.Object
      org.springframework.webflow.action.AbstractAction
          org.springframework.webflow.action.MultiAction
              com.jaspersoft.jasperserver.war.action.tree.TreeAction

All Implemented Interfaces:
  org.springframework.beans.factory.InitializingBean, org.springframework.webflow.execution.Action

    public class TreeAction

extends org.springframework.webflow.action.MultiAction

Spring Action class for Tree flow.

Author:
  asokolnikov

Nested Class Summary

Nested classes/interfaces inherited from class org.springframework.webflow.action.MultiAction
`org.springframework.webflow.action.MultiAction.MethodResolver`

Field Summary
`static java.lang.String` | `AJAX_REPORT_MODEL`
`static java.lang.String` | `DEPTH`
`protected org.apache.commons.logging.Log` | `log`
`static java.lang.String` | `PREFETCH`
`static java.lang.String` | `PROVIDER`
`static java.lang.String` | `URI`

Fields inherited from class org.springframework.webflow.action.AbstractAction
`logger`

Constructor Summary
`TreeAction()`

Method Summary
`org.springframework.webflow.execution.Event` | `getChildren(org.springframework.webflow.execution.RequestContext context)` Gets childern for specified tree node
`org.springframework.webflow.execution.Event` | `getNode(org.springframework.webflow.execution.RequestContext context)` Gets the data, builds tree model and returns serialized tree data
`TreeDataProviderFactory` | `getTreeDataProviderFactory()`
`void` | `setTreeDataProviderFactory(TreeDataProviderFactory treeDataProviderFactory)`

Methods inherited from class org.springframework.webflow.action.MultiAction
`doExecute, getMethodResolver, setMethodResolver, setTarget`

Methods inherited from class org.springframework.webflow.action.AbstractAction
`afterPropertiesSet, doPostExecute, doPreExecute, error, error, execute, getActionNameForLogging, getEventFactorySupport, initAction, no, result, result, result, result, success, success, yes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AJAX_REPORT_MODEL

    public static final java.lang.String AJAX_REPORT_MODEL

See Also:
  Constant Field Values

### PROVIDER

    public static final java.lang.String PROVIDER

See Also:
  Constant Field Values

### URI

    public static final java.lang.String URI

See Also:
  Constant Field Values

### DEPTH

    public static final java.lang.String DEPTH

See Also:
  Constant Field Values

### PREFETCH

    public static final java.lang.String PREFETCH

See Also:
  Constant Field Values

### log

    protected final org.apache.commons.logging.Log log

Constructor Detail

### TreeAction

    public TreeAction()

Method Detail

### getNode

    public org.springframework.webflow.execution.Event getNode(org.springframework.webflow.execution.RequestContext context)

  Gets the data, builds tree model and returns serialized tree data

### getChildren

    public org.springframework.webflow.execution.Event getChildren(org.springframework.webflow.execution.RequestContext context)

  Gets childern for specified tree node

  Parameters:
    `context` -
  Returns:

### getTreeDataProviderFactory

    public TreeDataProviderFactory getTreeDataProviderFactory()

### setTreeDataProviderFactory

    public void setTreeDataProviderFactory(TreeDataProviderFactory treeDataProviderFactory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.